Skip to content

# utils

Miscellaneous index maintenance and inspection utilities.

    obikmer utils INDEXES... [OPTIONS]

## Arguments

Argument | Description
--- | ---
`INDEXES...` | One or more index directories

## Options

Option | Scope | Description
--- | --- | ---
`--new-label NEW=OLD` | single index only | Rename a genome label
`--upgrade-index` | single index only | Add any missing layer metadata files to an older index
`--bits-per-kmer` | single index only | Print bits-per-kmer statistics
`--stats` | single index only | Print per-genome kmer counts as CSV
`--partition-stats` | one or more indexes | Print a partition-size distribution report
`--csv FILE` | with `--partition-stats` | Also write raw per-(partition, source) data to FILE as CSV

At least one operation option must be given. All options except `--partition-stats` require exactly one index directory.